# otherwise known as the Test Characteristic Curve (TCC)
class TestResponseFunction():
  def __init__(self, irf):
    self.irf = irf

  def calculate(self, items, **kwargs):
    result = 0

    for item in items:
      result += irf.calculate(b_param=item.b_param, theta=kwargs['theta'])

    return result
